package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.math.BigDecimal;

/**
 * @Author Joburgess
 * @Date 2021/5/24 0024
 */
public class EduHomeworkStatDto {

    @ApiModelProperty(value = "课程组编号")
    private String groupId;

    @ApiModelProperty(value = "课程组名称")
    private String groupName;

    @ApiModelProperty(value = "声部")
    private String subjectName;

    @ApiModelProperty(value = "乐团人数")
    private int groupStudentNum;

    @ApiModelProperty(value = "作业人次")
    private int exceptStudentNum;

    @ApiModelProperty(value = "提交人次")
    private int submitStudentNum;

    @ApiModelProperty(value = "提交率")
    private BigDecimal submitRate = BigDecimal.ZERO;

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public int getExceptStudentNum() {
        return exceptStudentNum;
    }

    public void setExceptStudentNum(int exceptStudentNum) {
        this.exceptStudentNum = exceptStudentNum;
    }

    public int getSubmitStudentNum() {
        return submitStudentNum;
    }

    public void setSubmitStudentNum(int submitStudentNum) {
        this.submitStudentNum = submitStudentNum;
    }

    public int getGroupStudentNum() {
        return groupStudentNum;
    }

    public void setGroupStudentNum(int groupStudentNum) {
        this.groupStudentNum = groupStudentNum;
    }

    public BigDecimal getSubmitRate() {
        return submitRate;
    }

    public void setSubmitRate(BigDecimal submitRate) {
        this.submitRate = submitRate;
    }
}
